Ubuntu

[Intrepid] FFe request for Flash 10 RC2 (10.0.12.10)

Reported by Thomas Lété on 2008-08-12
106
This bug affects 5 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Wishlist
Daniel T Chen
Intrepid
Wishlist
Daniel T Chen

Bug Description

NOTE (28/09/08): Bug #272286 must be resolved in order for this update to work with nspluginwrapper, and ia32-libs must be verified to contain the necessary libraries for 64-bit users.

I am requesting a FFe for Adobe Flash 10 RC2 (10.0.12.10).

Current version in Intrepid: Flash 10 beta 2 (release history of Flash 10: beta 1, beta 2, rc1, rc2).
Rationale:
a) This version incorporates many bugfixes, improved performance & stability.
b) We *must* update the Flash plugin, as the preview versions of Flash 10 are *not* archived (i.e. beta 1, 2, and
rc1 will not be available, so the package will fail to install).
c) Beta 2 was considered for many as the *worst* version of Flash 10, due to severe performance issues. This has been fixed since rc1.
d) Stephen Hermann and Alexander Sack have released updates to ia32-libs and nspluginwrapper to ensure this update works correctly (due to depends on new external libraries).

Caveats: we will require an SRU when Flash 10 is final, but is necessary work due to the closed-source nature of the product, and concerns for vulnerability issues, etc.

You can find the proposed debdiff in comment #27, compliant to FFe guidelines. Debdiff is trivial, with changes to md5sums, filenames and paths, and bumped dependency verson on nspluginwrapper to 1.1.0-0ubuntu2.

Changelog (Known Issues & Fixed Issues), from: http://labs.adobe.com/technologies/flashplayer10/releasenotes.html#fixed

Known Issues

    * For Linux, Flash Player 10 only supports browsers that are supported by each specific distribution of Linux. There are issues unrelated to Flash Player that can occur if a user installs a browser that is not supported on that Linux distribution. (For example, at the time this was written, Firefox 3 was not officially supported by Ubuntu 7.)
    * 3D Effects:
          o Components don’t work properly with 3D Effects.
          o 2.5D or 3D objects do not print correctly to PDF nor to hardware printer. (232562)
    * Color Management: The ability to read source profiles is not included in this feature, by design. Comments or questions can be posted to the Flash Player 10 Forum.
    * GPU Compositing and GPU Blitting:
          o Issues may occur with unsupported drivers.
          o Hardware acceleration does not currently optimize the Alpha, Erase, Invert & Subtract blendmodes and vectors for GPU compositing.
          o For Linux, the hardware acceleration feature will not work if you are using a compositing window manager (compiz). In this case, Flash Player 10 Beta will always fall back to software. If you would like to test Flash Player 10 Beta on Linux, please disable your compositing window manager.
    * Dynamic Streaming: An intended future release of Adobe Flash Media Server is required to use this feature. If you are interested in being part of the private prerelease program, please send an email to <email address hidden> with your contact details.
    * RTMFP:
          o An intended future release of Adobe Flash Media Server is required to use this feature. If you are interested in being part of the private prerelease program, please send an email to <email address hidden> with your contact details.
    * Speex:
          o An intended future release of Adobe Flash Media Server is required to use this feature. If you are interested in being part of the private prerelease program, please send an email to <email address hidden> with your contact details.
          o Live audio does not work on Mac when audio capture is 96 kHz. (221951)
    * Acrobat Connect Pro meeting will not install the Acrobat Connect Add-in if running in FP10. Workaround: install FP 9.0.124, then install Connect Add-in, then upgrade to FP10.

Fixed Issues

    * Many Linux camera issues have been fixed. Please report any additional issues you encounter.
    * Linux full-screen optimizations have been made. Please report any additional issues you encounter.
    * startDrag() does not work when movie clip is 3D. (216415)
    * LiveCycle WorkSpace cannot log in using Flash Player 10 Beta. (223394) WORKAROUND: Use Flash Player 9.0.124.0.
    * Vector printing on Macs works now!
    * New Text Engine: Vector Printing isn't currently enabled.
    * Custom Filters and Effects:
          o Mac PPC: Color distortions may appear when applying a Shader. ShaderJob returns unexpected values for some Pixel Bender functions.
          o Linux: Shader Jobs may return NaN instead of an expected Number value.
    * Drawing API: Strokes are not visible on paths drawn with drawTriangles or GraphicsTrianglePaths. The lineShaderStyle is not implemented in Flash Player 10 Beta.
    * Context Menu: The new AS3 Clipboard is currently only working for Mac and Windows. It is not yet working for the Unix players.
    * Uploading images using Photoshop Express does not work with Flash Player 10 Beta. (1786882) WORKAROUND: Use Flash Player 9.0.124.0.
    * Dynamic Streaming:
          o A crash when switching between videos of different resolutions has been fixed.
          o A new Play Status event when switching between streams now actually happens: NetStream.Play.TransitionComplete.
    * RTMFP:
          o Changing NetStream.BufferTime on the subscriber side of P2P connection, causes video to stop and possible crash
          o No NetStream onStatus messages received when using NetStream.pause(), NetStream.resume() or NetStream.togglePause() for P2P connection
          o Intermittent crashes/hangs when subscribing/unsubscribing multiple times to P2P NetStream.
          o peerStreams array includes null streams in some cases.
    * Speex:
          o Disconnect and re-connect network on Mac publisher causes sending garbled audio with USB audio devices. (227185)
          o Speex audio may deteriorate when computer is overloaded. (222082)
          o Peer-to-peer Nellymoser may incur in quality degradation when packets are lost. (222469)
          o Soundtransform for Speex does not work in loopback mode
          o Linux-specific issues:
                + Flash Player 10 hangs when subscribing to a live audio stream. (222283)
                + Linux subscriber receives deteriorated audio for about 20 seconds when switching from Nellymoser to Speex codec. (222306)
                + Linux Subscriber P2P only: When Nellymoser audio is attached, the video plays slowly on the subscriber side. (222851)
    * Video playback issues on PPC Macs have been resolved.

Daniel T Chen (crimsun) wrote :
Changed in flashplugin-nonfree:
assignee: nobody → crimsun
importance: Undecided → Wishlist
status: New → In Progress
Christian Wolf (christianwolf) wrote :

For the impatient of you :-)

The flashplugin 10 RC package is available in PPA, for Hardy am Intrepid:

https://launchpad.net/~psyke83/+archive

Benjamin Prosnitz (aetherane) wrote :

I tried the hardy package in PPA (on amd64) and got:
...
Setting up flashplugin-nonfree (10.0.1.218+10.0.0.569ubuntu1~ppa2) ...
Installing from local file /var/cache/flashplugin-nonfree/flashplayer10_install_linux_081108.tar.gz
Flash Plugin installed.
*** NSPlugin Viewer *** ERROR: libcurl.so.3: cannot open shared object file: No such file or directory
nspluginwrapper: no appropriate viewer found for /usr/lib/flashplugin-nonfree/libflashplayer.so
dpkg: error processing flashplugin-nonfree (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)

Also I ran:
whereis libcurl.so.3
libcurl.so: /usr/lib/libcurl.so.4 /usr/lib/libcurl.so.3 /usr/lib64/libcurl.so.4 /usr/lib64/libcurl.so.3

Christian Wolf (christianwolf) wrote :

Benjamin,

on i386, the package installs and runs just fine. Maybe a missing dependency in the package for the new NSS or cURL requirement, while already accidentally installed on my system.

I was so free to subscribe the packager of the flashplugin-package in PPA to this bug, maybe he has time to check this out ;-)

Benjamin Prosnitz (aetherane) wrote :

It dies on the step where it runs nspluginwrapper, which (I think) isn't run on i386. I tried to execute the nspluginwrapper command manually and got the same error.

I was able to install the previous version of Flash 10 on my Hardy amd64 installation just fine.

Conn O Griofa (psyke83) wrote :

Hi,

I'm attaching the debdiff I created against Intrepid sources.

Please note:
1. /debian/postinst: added lines to create /etc/adobe/mms.cfg and to remove in /debian/prerm (See bug #239182) - this will need to be removed when Firefox 3.0.2 (and nspluginwrapper 1.1.0) is released.
2. New libraries also need to be included in ia32-lib package (or supplemental package created) for AMD64 users - this is because Flash has new dependencies on the following libraries: libnss3-1d, libidn11, libnspr4-0d, libcurl3.

Conn O Griofa (psyke83) wrote :

Benjamin,

No, the package still works correctly with AMD64 and the nspluginwrapper hooks have not been touched. The problem (if you checked the log you'd see) is that the flashplugin-nonfree package will fail to install if there are missing libraries. See my comment above, and a temporary, unofficial solution is here (the part using getlibs): http://ubuntuforums.org/showpost.php?p=5587712&postcount=472

Ok, thank you - that solved the problem. I forgot that it would be looking
for i386 libs.

On Tue, Aug 19, 2008 at 9:22 AM, Conn <email address hidden> wrote:

> Benjamin,
>
> No, the package still works correctly with AMD64 and the nspluginwrapper
> hooks have not been touched. The problem (if you checked the log you'd
> see) is that the flashplugin-nonfree package will fail to install if
> there are missing libraries. See my comment above, and a temporary,
> unofficial solution is here (the part using getlibs):
> http://ubuntuforums.org/showpost.php?p=5587712&postcount=472
>
> --
> Update Flash plugin 10 to the new RC
> https://bugs.launchpad.net/bugs/257403
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Apologies, but the sponsors were unable to get to this request prior to feature freeze. It appears that this update will require a feature-freeze exception. If you are sure that this is not the case, please resubscribe the sponsors queue. If it is the case, please work with the MOTU Release team to get this update approved.

Conn O Griofa (psyke83) wrote :

This package must be given a FFe, because:

1. Due to licensing issues, the actual flash plugin tar.gz is not included in this package;
2. The version of Flash currently in Intrepid is Flash 10 beta 2 sourced from the http://labs.adobe.com site. Historically, testing releases of the Flash plugin are obsoleted upon new releases, and archived version are *not* kept on Adobe's servers in individual form;
3. Flash 10 final will require the same external libraries as the release candidate, so we will inevitably require an update to ia32-lib (or a supplemental package created) for 64bit users.

Therefore, if we keep Flash 10 beta 2, the plugin will soon become uninstallable (the release candidate has obsoleted beta 2, and you can expect the download to expire just as beta 1 already has). We must also take into account the risk of security vulnerabilities in the version of Flash we are shipping.

Christian Wolf (christianwolf) wrote :

I added MOTU Release Team to the subscriber list.

@MOTU Release Team:

Pls make sure that we have the latest flashplugin available. Flashplayer 10RC is miles better than Flashplayer 9 in any aspect, and I did not discover any bugs during daily usage (on i386).

Pls also read Conns comment why it is a risk to stay at the current beta2 - Adobe might remove the current beta2 and then flashplugin is broken.

Please approve a feature freeze excpetion for flashplugin-nonfree.

Thank you, folks.

StefanPotyra (sistpoty) wrote :

hm... fewer crashes sounds good. However I'd also like someone testing this on an amd64 system, if it works, I'm happy to give a +1.

Also on Kubuntu. We tried a backport to Hardy earlier that was
'unfortunate' on non-PA systems.

There are some pieces that need to be put together for this to work properly.

amd64 users:
1. Some extra 32bit libraries added to ia32-lib. This is tracked on bug #246911 and it seems Stephan Hermann is working on it already: https://lists.ubuntu.com/archives/ubuntu-devel/2008-August/026245.html
2. Flash 10 (release candidate onwards) adds support for windowless mode flash content. The version of nspluginwrapper in the repositories will not work unless nspluginwrapper is updated to the latest development release, 1.1.0, *or* we can disable windowless mode in the Flash plugin.

32bit & 64bit users:
1. Firefox 3.0.1 has a bug which causes a crash when windowless mode Flash content is displayed. This issue is fixed upstream and tracked on bug #239182. Firefox 3.0.2 will include the fix, and a workaround is available (disable windowless mode).

So my recommendation:
If Firefox 3.0.1 ships for the final release, we can update flashplugin-nonfree and set the configuration to disable windowless mode, and update the ia32-lib package for 64bit users. This will give us a stable Flash plugin, albeit with reduced functionality.

If Firefox 3.0.2 ships in time for release, then merely update the flashplugin-nonfree package. For 64bit users, update the ia32-lib package, and approve a FFe for nspluginwrapper 1.1.0.

The latter option means more work, but the extra effort is worthwhile and more future-proof.

Conn O Griofa (psyke83) wrote :

Scott,

Updating to Flash 10 RC won't affect Kubuntu (and non-PA configurations). The 32bit libflashsupport library should be removed from ia32-lib entirely, as it's now obsolete and could cause problems.

Stefan, I'm on amd64 and it works at least as good as the last beta and as
version 9. It still crashes randomly like the old versions did, but it is
no worse then them.

On Sat, Aug 30, 2008 at 10:58 AM, Scott Kitterman <email address hidden>wrote:

> Also on Kubuntu. We tried a backport to Hardy earlier that was
> 'unfortunate' on non-PA systems.
>
> --
> Update Flash plugin 10 to the new RC
> https://bugs.launchpad.net/bugs/257403
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Wow, thanks Conn, that was an excellent summary. Alexander, what's your opinion?

Conn O Griofa (psyke83) wrote :

I just realized that nspluginwrapper 1.1.0 has already been uploaded to Intrepid.

Here's an updated debdiff (added dependencies, bumped nspluginwrapper versioned dependency), and removed the hack that was in the previous debdiff I posted.

The only work left is ia32-lib for 64bit users, and to decide whether or not to disable windowless mode (depends on Firefox's schedule).

Cesare Tirabassi (norsetto) wrote :

Setting to Incomplete and assign it to Nobody (asac input is needed).

Changed in flashplugin-nonfree:
assignee: crimsun → nobody
status: In Progress → Incomplete

On Sat, Aug 30, 2008 at 04:44:18PM -0000, Launchpad Bug Tracker wrote:
> You have been subscribed to a public bug by StefanPotyra (sistpoty):
>
> Binary package hint: flashplugin-nonfree
>
> Hello,
> Could you please update the flash plugin to the latest available RC ?
> The announce is there : http://blogs.adobe.com/penguin.swf/2008/08/10rc1.html
>
> And please, backport it to Hardy ;)

we should definitly update flash 10 in intrepid until it reaches final
... so yes, lets go for RC1.

For hardy backports there need to be other things done, which should
be tracked in a different bug.

 - Alexander

On Sat, Aug 30, 2008 at 04:44:55PM -0000, StefanPotyra wrote:
> Wow, thanks Conn, that was an excellent summary. Alexander, what's your
> opinion?
>

the windowless crash due to ffox 3.0.1 is not a issue. 3.0.2 will be
in long time before we release.

nspluginwrapper is already at 1.1.0 ... as required.

ia32-libs: we should add the required libs and commented as such in
bug 246911

 - Alexander

ok, thanks, +1 from me then, assuming we can rule out that kubuntu will be negatively affected.

Changed in flashplugin-nonfree:
status: Incomplete → New
Cesare Tirabassi (norsetto) wrote :

Its a +1 from me too, conditionally to bug 246911 allowing this to go for amd64 too.

Luca Falavigna (dktrkranz) wrote :

It seems Kubuntu-related issues with new version have been fixed (see https://bugs.launchpad.net/hardy-backports/+bug/235135/comments/96), so I'm fine with this one too.

Luke12 (luca-venturini) wrote :

+1 also for me. For user experience in Ubuntu, Flash 10 is many steps above Flash 9 (for example, often Flash 9 would stop loading some videos or applets). On the other hand, beta 2 is unusable - I experienced many Firefox crashes due to it. So I hope it gets updated soon :)

In the meantime, thanks for the ppa! :-D

Artur Rona (ari-tczew) wrote :

Please update Adobe Flash 10 to latest version, because package from intrepid repository is too slow, but flash @ppa/~psyke83 doesn't work on my desktop (Firefox 3.0.1).

Conn O Griofa (psyke83) wrote :

Hi,

On September 15th, the release candidate of Flash was updated to version 10.0.12.10. I'm attaching the updated debdiff.

All the "pieces" are together for this update to be pushed through, with exception to ia32-libs for 64 bit users, as per bug #246911.

nullack (nullack) on 2008-09-16
Changed in flashplugin-nonfree:
status: New → Confirmed
Conn O Griofa (psyke83) on 2008-09-18
description: updated
ktp420 (ktp420) wrote :

bug #246911 is marked fixed now

Gabriel Mazetto (brodock) wrote :

is it already released?
because i've tested it today and got the old "buggy" version...

the new one should download flashplayer from: http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_091508.tar.gz

i've also noted no crash after changing to this version.

dk75 (amidk75) wrote :

newest flashplugin-nonfree from Conn PPA (launchpad psyke83) don't work properly on Ibex64
Flash movies aren't played at all

2 pisc which should explain it:
http://premium.fileden.com/premium/2006/12/11/497871/misc/ubuntu/Ibex/flashplugin10rc2PPA-01.png
http://premium.fileden.com/premium/2006/12/11/497871/misc/ubuntu/Ibex/flashplugin10rc2PPA-02.png

Can you check for a Flash entry in about:plugins ? Also check for
nspluginviewer messages with dmesg - I know my random segfaults showup
there, but it might say something about lack of libraries, etc.

I had RC1 work fine on amd64 for me, but I haven't tried RC2 yet.

On Tue, Sep 23, 2008 at 8:39 AM, dk75 <email address hidden> wrote:

> newest flashplugin-nonfree from Conn PPA (launchpad psyke83) don't work
> properly on Ibex64
> Flash movies aren't played at all
>
> 2 pisc which should explain it:
>
> http://premium.fileden.com/premium/2006/12/11/497871/misc/ubuntu/Ibex/flashplugin10rc2PPA-01.png
>
> http://premium.fileden.com/premium/2006/12/11/497871/misc/ubuntu/Ibex/flashplugin10rc2PPA-02.png
>
> --
> [Intrepid] FFe request for Flash 10 RC2 (10.0.12.10)
> https://bugs.launchpad.net/bugs/257403
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Conn O Griofa (psyke83) wrote :

dk75,

That's another bug in windowless mode, being tracked in bug #272286.

dk75 (amidk75) wrote :

flashplayer 10.0.r12
As for DMESG - I'm not with 8.10 right now but I will check it out - durring installation right?

Conn@ OK, will check "/etc/adobe/mms.cfg"

dk75 (amidk75) wrote :

Making "/etc/adobe/mms.config" with "WindowlessDisable=true" not doing any good. Still, flash animations don't plays with 10.0 r12

dk75 (amidk75) wrote :

"dmesg | tail" seconds after installation flashplugin10.0.12.2~ppa3 shows nothing interesting

It have ony something after flash playback atempt:
[ 854.869163] npviewer.bin[7058]: segfault at 0 ip 0000000000000000 sp 00000000ff8ec99c error 14 in npviewer.bin[8048000+1a000]
[ 873.655534] npviewer.bin[7074]: segfault at 0 ip 0000000000000000 sp 00000000ffc2d4ec error 14 in npviewer.bin[8048000+1a000]
[ 1075.578550] npviewer.bin[7123]: segfault at 0 ip 0000000000000000 sp 00000000fffb386c error 14 in npviewer.bin[8048000+1a000]
[ 1525.123521] npviewer.bin[7354]: segfault at 0 ip 0000000000000000 sp 00000000ff8cd98c error 14 in npviewer.bin[8048000+1a000]
[ 1547.511674] npviewer.bin[7369]: segfault at 0 ip 0000000000000000 sp 00000000ffcb356c error 14 in npviewer.bin[8048000+1a000]

dk75 (amidk75) wrote :

Exact version flashplayer-nonfre is "10.0.12.10ubuntu1~ppa3"

When I try to do "nspluginwrapper" on adobe copy of "libflashplayer.so" ,then result is this same. And no any trace in DMESG about nspluginwrapper and some library lack. Only npviewer.bin but it's only durring actual playback tryout:

[ 1075.578550] npviewer.bin[7123]: segfault at 0 ip 0000000000000000 sp 00000000fffb386c error 14 in npviewer.bin[8048000+1a000]
[ 1525.123521] npviewer.bin[7354]: segfault at 0 ip 0000000000000000 sp 00000000ff8cd98c error 14 in npviewer.bin[8048000+1a000]
[ 1547.511674] npviewer.bin[7369]: segfault at 0 ip 0000000000000000 sp 00000000ffcb356c error 14 in npviewer.bin[8048000+1a000]
[ 2136.421729] kjournald starting. Commit interval 5 seconds
[ 2136.422512] EXT3 FS on sdd3, internal journal
[ 2136.423894] EXT3-fs: mounted filesystem with ordered data mode.
[ 2399.627232] npviewer.bin[7646]: segfault at 0 ip 0000000000000000 sp 00000000ffefbfbc error 14 in npviewer.bin[8048000+1a000]
[ 2401.205882] npviewer.bin[7661]: segfault at 0 ip 0000000000000000 sp 00000000ffb49c0c error 14 in npviewer.bin[8048000+1a000]
[ 2404.102776] npviewer.bin[7676]: segfault at 0 ip 0000000000000000 sp 00000000ff90d9cc error 14 in npviewer.bin[8048000+1a000]
[ 2405.854293] npviewer.bin[7691]: segfault at 0 ip 0000000000000000 sp 00000000ffa042bc error 14 in npviewer.bin[8048000+1a000]

Benjamin Prosnitz (aetherane) wrote :

I just tested this (on amd64 intrepid) and I'm having the same issue dk75 is
having.

On Tue, Sep 23, 2008 at 5:25 PM, dk75 <email address hidden> wrote:

> Exact version flashplayer-nonfre is "10.0.12.10ubuntu1~ppa3"
>
> When I try to do "nspluginwrapper" on adobe copy of "libflashplayer.so"
> ,then result is this same. And no any trace in DMESG about
> nspluginwrapper and some library lack. Only npviewer.bin but it's only
> durring actual playback tryout:
>
> [ 1075.578550] npviewer.bin[7123]: segfault at 0 ip 0000000000000000 sp
> 00000000fffb386c error 14 in npviewer.bin[8048000+1a000]
> [ 1525.123521] npviewer.bin[7354]: segfault at 0 ip 0000000000000000 sp
> 00000000ff8cd98c error 14 in npviewer.bin[8048000+1a000]
> [ 1547.511674] npviewer.bin[7369]: segfault at 0 ip 0000000000000000 sp
> 00000000ffcb356c error 14 in npviewer.bin[8048000+1a000]
> [ 2136.421729] kjournald starting. Commit interval 5 seconds
> [ 2136.422512] EXT3 FS on sdd3, internal journal
> [ 2136.423894] EXT3-fs: mounted filesystem with ordered data mode.
> [ 2399.627232] npviewer.bin[7646]: segfault at 0 ip 0000000000000000 sp
> 00000000ffefbfbc error 14 in npviewer.bin[8048000+1a000]
> [ 2401.205882] npviewer.bin[7661]: segfault at 0 ip 0000000000000000 sp
> 00000000ffb49c0c error 14 in npviewer.bin[8048000+1a000]
> [ 2404.102776] npviewer.bin[7676]: segfault at 0 ip 0000000000000000 sp
> 00000000ff90d9cc error 14 in npviewer.bin[8048000+1a000]
> [ 2405.854293] npviewer.bin[7691]: segfault at 0 ip 0000000000000000 sp
> 00000000ffa042bc error 14 in npviewer.bin[8048000+1a000]
>
> --
> [Intrepid] FFe request for Flash 10 RC2 (10.0.12.10)
> https://bugs.launchpad.net/bugs/257403
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

brad (bradlambeth) wrote :

I believe this is a regression in ia32-libs. When I downgrade to 2.2ubuntu11 (current is 2.2ubuntu13) and install the 4 missing libraries with getlibs, everything works great. These 4 libraries were added in 2.2ubuntu12, which was quickly replaced by the current version, so I don't understand why it doesn't work.

Artur Rona (ari-tczew) wrote :

I've got installed flashplugin-nonfree from https://launchpad.net/~fta/+archive
If you wanna using flash 10 rc2, do this steps:

sudo su
cp /usr/lib/libssl3.so.1d /usr/lib/libssl3.so
cp /usr/lib/libnss3.so.1d /usr/lib/libnss3.so
cp /usr/lib/libsmime3.so.1d /usr/lib/libsmime3.so
exit

Try do it.

Artur Rona (ari-tczew) wrote :

Sorry, link for flash it's from https://launchpad.net/~psyke83/+archive

I suspect we probably need to do this. Is there someone with enough
technical experience on Flash stuff who can summarize where we are on this?

So if Ari is right, it should be fixed by a trivial modification to the
ia32-libs package

On Sun, Sep 28, 2008 at 3:00 AM, Scott Kitterman <email address hidden>wrote:

> I suspect we probably need to do this. Is there someone with enough
> technical experience on Flash stuff who can summarize where we are on this?
>
> --
> [Intrepid] FFe request for Flash 10 RC2 (10.0.12.10)
> https://bugs.launchpad.net/bugs/257403
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

dk75 (amidk75) wrote :

But I have already symlinks for that:

/usr/lib/libssl3.so -> /usr/lib/libssl3.so.1d
/usr/lib/libnss3.so -> /usr/lib/libnss3.so.1d
/usr/lib/libsmime3.so -> /usr/lib/libsmime3.so.1d

Copying it shouldn't do any change. I will check it and yes I have 10r2 form psyk83 and I've tryed add flash maually from adobe package with nspluginwrapper from psyke83 (patched to work with rc2 as I've heard).

dk75 (amidk75) wrote :

It not work at all. Nor with package from psyk83 nor with hand wrapped one from adobe.

Conn O Griofa (psyke83) wrote :

Scott,

There's nothing wrong with the debdiff I posted, and the plugin works correctly for 32 bit users. The only problem is with 64 bit users.

I have traced the problem to another incompatibility with "windowless mode" in nspluginwrapper, and found a workaround, posted in bug #272286. There are also some indications that ia32-libs is still missing some libraries. I believe Daniel T Chen is looking into both issues (I could only investigate nspluginwrapper, as I don't own any 64 bit hardware).

I believe you are correct that this update is necessary, as a) the version in Intrepid has serious performance regressions; b) the beta tarball will soon become unavailable; and c) it seems that the final release will occur soon (which justifies this extra effort to ensure that all prerequisites are satisfied).

description: updated
DJ_DEF (dj-def) wrote :

I always install flash 10 RC2 (091508) with this script:

sudo apt-get install ia32-libs ia32-libs-gtk libglib2.0-dev libgtk2.0-dev xorg-dev g++-multilib
wget http://www.boundlesssupremacy.com/Cappy/getlibs/getlibs-all.deb
wget http://gwenole.beauchesne.info/projects/nspluginwrapper/files/nspluginwrapper-0.9.91.5.tar.bz2
wget http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_091508.tar.gz
sudo dpkg -i getlibs-all.deb
sudo getlibs -p libcurl3
sudo getlibs -p libnss3-1d
sudo getlibs -p libnspr4-0d
tar xvzfp flashplayer10_install_linux_091508.tar.gz
tar xvjfp nspluginwrapper-0.9.91.5.tar.bz2
cd nspl*
./configure
make
sudo make install
nspluginwrapper -i ~/install_flash_player_10_linux/libflashplayer.so

Well, If I install it on hardy heron amd64 I get flash 10 working.
If I install it on intrepid ibex amd64 or debian lenny 64 I get flash 10 not working (the boxes with flash content stay in grey and nothing is displayed, dmesg give things like [ xx.xx] npviewer.bin[xxx]: segfault at ... error 14 in npviewer.bin[xxx].
However flash10 (070208) works both on hardy and intrepid!

Why?
I think it could be related to ia32-libs that are a different version in intrepid.

Benjamin Prosnitz (aetherane) wrote :

What version of the libraries does getlibs retreive, and what versions are
in hardy and intrepid?

On Tue, Sep 30, 2008 at 7:53 PM, DJ_DEF <email address hidden> wrote:

> I always install flash 10 RC2 (091508) with this script:
>
> sudo apt-get install ia32-libs ia32-libs-gtk libglib2.0-dev libgtk2.0-dev
> xorg-dev g++-multilib
> wget http://www.boundlesssupremacy.com/Cappy/getlibs/getlibs-all.deb
> wget
> http://gwenole.beauchesne.info/projects/nspluginwrapper/files/nspluginwrapper-0.9.91.5.tar.bz2
> wget
> http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_091508.tar.gz
> sudo dpkg -i getlibs-all.deb
> sudo getlibs -p libcurl3
> sudo getlibs -p libnss3-1d
> sudo getlibs -p libnspr4-0d
> tar xvzfp flashplayer10_install_linux_091508.tar.gz
> tar xvjfp nspluginwrapper-0.9.91.5.tar.bz2
> cd nspl*
> ./configure
> make
> sudo make install
> nspluginwrapper -i ~/install_flash_player_10_linux/libflashplayer.so
>
> Well, If I install it on hardy heron amd64 I get flash 10 working.
> If I install it on intrepid ibex amd64 or debian lenny 64 I get flash 10
> not working (the boxes with flash content stay in grey and nothing is
> displayed, dmesg give things like [ xx.xx] npviewer.bin[xxx]: segfault at
> ... error 14 in npviewer.bin[xxx].
> However flash10 (070208) works both on hardy and intrepid!
>
> Why?
> I think it could be related to ia32-libs that are a different version in
> intrepid.
>
> --
> [Intrepid] FFe request for Flash 10 RC2 (10.0.12.10)
> https://bugs.launchpad.net/bugs/257403
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

DJ_DEF (dj-def) wrote :

how can I check them?

brad (bradlambeth) wrote :

I found the issue. When upgrading to ia32-libs 2.2ubuntu16, here is the result of ldd on /lib32/libnss_ldap.so.2

> ldd /lib32/libnss_ldap-2.8.90.so
 linux-gate.so.1 => (0xf7f1c000)
 libldap_r-2.4.so.2 => /usr/lib32/libldap_r-2.4.so.2 (0xf7e9e000)
 liblber-2.4.so.2 => /usr/lib32/liblber-2.4.so.2 (0xf7e90000)
 libsasl2.so.2 => /usr/lib32/libsasl2.so.2 (0xf7e77000)
 libkrb5.so.3 => /usr/lib32/libkrb5.so.3 (0xf7de5000)
 libcom_err.so.2 => /lib32/libcom_err.so.2 (0xf7de1000)
 libgssapi_krb5.so.2 => /usr/lib32/libgssapi_krb5.so.2 (0xf7db7000)
 libdl.so.2 => /lib32/libdl.so.2 (0xf7db3000)
 libnsl.so.1 => /lib32/libnsl.so.1 (0xf7d9a000)
 libresolv.so.2 => /lib32/libresolv.so.2 (0xf7d85000)
 libpthread.so.0 => /lib32/libpthread.so.0 (0xf7d6c000)
 libc.so.6 => /lib32/libc.so.6 (0xf7c0e000)
 libgnutls.so.26 => not found
 libtasn1.so.3 => /usr/lib32/libtasn1.so.3 (0xf7bfc000)
 libz.so.1 => /usr/lib32/libz.so.1 (0xf7be5000)
 libgcrypt.so.11 => /lib32/libgcrypt.so.11 (0xf7b7c000)
 libk5crypto.so.3 => /usr/lib32/libk5crypto.so.3 (0xf7b58000)
 libkrb5support.so.0 => /usr/lib32/libkrb5support.so.0 (0xf7b4f000)
 libkeyutils.so.1 => /lib32/libkeyutils.so.1 (0xf7b4b000)
 /lib/ld-linux.so.2 (0xf7f1d000)
 libgpg-error.so.0 => /lib32/libgpg-error.so.0 (0xf7b47000)

libgnutls.so.26 is missing. When I add this library with getlibs -l libgnutls.so.26, flash works again.

In summary, I believe the ia32-libs since version 2.2ubuntu11 have been missing the libgnutls26 library files. Add this to the package and things should work again.

DJ_DEF (dj-def) wrote :

yeah! you found it! you are a genius :) thank you, that solved the problem

brad (bradlambeth) wrote :

I created a new bug report for adding libgnutls26 to ia32-libs here:

https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/277175

dk75 (amidk75) wrote :

I have libgnutls26 from the beggining and flash10rc2 not work for me - I have grey window instead.

DJ_DEF (dj-def) wrote :

try to see if you miss some other libraries

Wouter Geraedts (w-geraedts) wrote :

Though apt reports that libgnutls26 is installed, "ldd /lib32/libnss_ldap.so.2" fails to find the lib. Installing it getlib fixes the problem. (Tested on fresh updated Ubuntu 8.10 beta AMD64, Dell M1530)

In short:
wget http://www.boundlesssupremacy.com/Cappy/getlibs/getlibs-all.deb
sudo dpkg -i getlibs-all.deb
getlibs -l libgnutls.so.26

Restart firefox and it works.

dk75 (amidk75) wrote :

Ah, OK.
I have libgnutls.so.26 but... 64bit version (/usr/lib -> /usr/lib64). Only 32bit repo available version are 13.

Now after Wubuntish@ tutorial FlashPlayer10rc2 works to me too.

Craig (candrews-integralblue) wrote :

bug 277175 has been fixed resolving the libgnutls.so issue. So there should be nothing standing in the way of getting Flash RC2 in Intrepid now.

Daniel T Chen (crimsun) on 2008-10-08
Changed in flashplugin-nonfree:
assignee: nobody → crimsun
status: Confirmed → In Progress
Alexander Sack (asac) wrote :

gnutls26 should be in ia32-libs now. lets update flash to latest in intrepid. if there is a FFe required, consider it granted (assuming that you properly test your package and get it rubberstamped by the #ubuntu-mozillateam first.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 10.0.12.10ubuntu1

---------------
flashplugin-nonfree (10.0.12.10ubuntu1) intrepid; urgency=low

  * New upstream release candidate (LNX 10,0,12,10) granted
    FeatureFreeze exception (LP: #257403).
  * debian/config:
    debian/postinst: Update md5sums, filenames, and paths.
  * debian/control: Conflict with libflashsupport; it was a suboptimal
    hack. Remove it from the alternate recommends for libasound2-plugins,
    too.

 -- Daniel T Chen <email address hidden> Wed, 24 Sep 2008 22:39:44 -0400

Changed in flashplugin-nonfree:
status: In Progress → Fix Released
saksoook (khamis-siksek) wrote :

Many are complaining from the new Adobe flash player (Version 10) that it breaks the feature of uploading images, videos, etc ... on many sites or using different tools, YouTube, YUI, SWFUpload, WordPress, all have the upload feature broken due to the use of the new flash player.

I suggest that Ubuntu team keeps offering Version 9 of the flash player besides version 10 for Interpid until this issue is resolved.

Conn O Griofa (psyke83) wrote :

saksoook,

Intrepid uses PulseAudio by default, and Flash 9 isn't PulseAudio-compatible (if Flash tries to open an audio stream, Firefox will freeze). The only workaround is to install libflashsupport at the cost of extreme instability. See bug #192888.

Please provide a link to some discussion on this issue. Is this problem with uploading content specific to the Linux release, or is the Windows version affected too? If it's the latter case, then it's up to those sites to fix their Flash compatibility issues (another example: CNN.com had broken version detection for Flash, which was fixed recently).

saksoook (khamis-siksek) wrote :
Download full text (8.0 KiB)

Hello,

Actually it is not related to Linux, it affects all OSes, the fix that Adobe
did was said to be a "Security Fix", which prevents opening the File Browser
to select files to uploads.

The issue is discussed in many places here are some links:
http://www.bit-101.com/blog/?p=1382
http://www.adobe.com/cfusion/webforums/forum/messageview.cfm?forumid=72&catid=675&threadid=1362693&enterthread=y
http://theflashblog.com/?p=423

Regards,

On Mon, Nov 17, 2008 at 6:31 PM, Conn <email address hidden> wrote:

> saksoook,
>
> Intrepid uses PulseAudio by default, and Flash 9 isn't PulseAudio-
> compatible (if Flash tries to open an audio stream, Firefox will
> freeze). The only workaround is to install libflashsupport at the cost
> of extreme instability. See bug #192888.
>
> Please provide a link to some discussion on this issue. Is this problem
> with uploading content specific to the Linux release, or is the Windows
> version affected too? If it's the latter case, then it's up to those
> sites to fix their Flash compatibility issues (another example: CNN.com
> had broken version detection for Flash, which was fixed recently).
>
> --
> [Intrepid] FFe request for Flash 10 RC2 (10.0.12.10)
> https://bugs.launchpad.net/bugs/257403
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "flashplugin-nonfree" source package in Ubuntu: Fix Released
> Status in flashplugin-nonfree in Ubuntu Intrepid: Fix Released
>
> Bug description:
> NOTE (28/09/08): Bug #272286 must be resolved in order for this update to
> work with nspluginwrapper, and ia32-libs must be verified to contain the
> necessary libraries for 64-bit users.
>
> I am requesting a FFe for Adobe Flash 10 RC2 (10.0.12.10).
>
> Current version in Intrepid: Flash 10 beta 2 (release history of Flash 10:
> beta 1, beta 2, rc1, rc2).
> Rationale:
> a) This version incorporates many bugfixes, improved performance &
> stability.
> b) We *must* update the Flash plugin, as the preview versions of Flash 10
> are *not* archived (i.e. beta 1, 2, and
> rc1 will not be available, so the package will fail to install).
> c) Beta 2 was considered for many as the *worst* version of Flash 10, due
> to severe performance issues. This has been fixed since rc1.
> d) Stephen Hermann and Alexander Sack have released updates to ia32-libs
> and nspluginwrapper to ensure this update works correctly (due to depends on
> new external libraries).
>
> Caveats: we will require an SRU when Flash 10 is final, but is necessary
> work due to the closed-source nature of the product, and concerns for
> vulnerability issues, etc.
>
> You can find the proposed debdiff in comment #27, compliant to FFe
> guidelines. Debdiff is trivial, with changes to md5sums, filenames and
> paths, and bumped dependency verson on nspluginwrapper to 1.1.0-0ubuntu2.
>
> Changelog (Known Issues & Fixed Issues), from:
> http://labs.adobe.com/technologies/flashplayer10/releasenotes.html#fixed
>
> Known Issues
>
> * For Linux, Flash Player 10 only supports browsers that are supported
> by each specific distribution of Linux. There are issues unrelated to Flash
> Player that can occur if a user installs a brow...

Read more...

saksoook (khamis-siksek) wrote :

Hello Conn,

Actually it is not related to Linux, it affects all OSes, the fix that Adobe did was said to be a "Security Fix", which prevents opening the File Browser to select files to uploads.

The issue is discussed in many places here are some links:
http://www.bit-101.com/blog/?p=1382
http://www.adobe.com/cfusion/webforums/forum/messageview.cfm?forumid=72&catid=675&threadid=1362693&enterthread=y
http://theflashblog.com/?p=423

Alexander Sack (asac) wrote :

why is there still discussion in this bug? its CLOSED ;).... thanks for moving other discussion somewhere else (e.g. forums, et all).

Lars Pohlmann (lars-pohlmann) wrote :

the last post was more than a month ago, but you revived it, my friend ;-)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers